OSDN Git Service

Add new directories for documentation and example configuration files.
authorTATEISHI Katsuyuki <tateishi.katsuyuki@oss.ntt.co.jp>
Tue, 9 Jun 2009 02:50:00 +0000 (11:50 +0900)
committerTATEISHI Katsuyuki <tateishi.katsuyuki@oss.ntt.co.jp>
Tue, 9 Jun 2009 02:50:00 +0000 (11:50 +0900)
doc/ Documentation root directory.
doc/heartbeat-ra/ Heartbeat Resource Agent and cib-xml examples.

14 files changed:
Makefile.am
Makefile.in
configure
configure.in
doc/Makefile.am [new file with mode: 0644]
doc/Makefile.in [new file with mode: 0644]
doc/heartbeat-ra/L7directord [new file with mode: 0644]
doc/heartbeat-ra/L7vsd [new file with mode: 0644]
doc/heartbeat-ra/Makefile.am [new file with mode: 0644]
doc/heartbeat-ra/Makefile.in [new file with mode: 0644]
doc/heartbeat-ra/README [new file with mode: 0644]
doc/heartbeat-ra/SSLProxy [new file with mode: 0644]
doc/heartbeat-ra/VIPcheck [new file with mode: 0644]
doc/heartbeat-ra/cib.xml-sample [new file with mode: 0644]

index db995cc..22b4d0e 100644 (file)
@@ -21,6 +21,7 @@
 #
 ######################################################################
 
-SUBDIRS = logger parameter src module conf init.d l7directord man
+SUBDIRS = logger parameter src module conf init.d l7directord man \
+       doc
 AUTOMAKE_OPTIONS = foreign
 
index 6456b53..57e1339 100644 (file)
@@ -203,7 +203,9 @@ sharedstatedir = @sharedstatedir@
 snmpagent_libs = @snmpagent_libs@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-SUBDIRS = logger parameter src module conf init.d l7directord man
+SUBDIRS = logger parameter src module conf init.d l7directord man \
+       doc
+
 AUTOMAKE_OPTIONS = foreign
 all: config.h
        $(MAKE) $(AM_MAKEFLAGS) all-recursive
index e546f5e..142160a 100755 (executable)
--- a/configure
+++ b/configure
@@ -19860,7 +19860,7 @@ mandir=/usr/share/man
 
 
 
-                                                                                                                        ac_config_files="$ac_config_files parameter/Makefile logger/Makefile Makefile debian/Makefile module/Makefile module/protocol/Makefile module/schedule/Makefile src/Makefile conf/Makefile init.d/Makefile l7directord/Makefile man/Makefile"
+                                                                                                                                            ac_config_files="$ac_config_files parameter/Makefile logger/Makefile Makefile debian/Makefile module/Makefile module/protocol/Makefile module/schedule/Makefile src/Makefile conf/Makefile init.d/Makefile l7directord/Makefile doc/Makefile doc/heartbeat-ra/Makefile man/Makefile"
 
           ac_config_files="$ac_config_files ultramonkeyl7.spec"
 cat >confcache <<\_ACEOF
@@ -20430,6 +20430,8 @@ do
   "conf/Makefile" ) CONFIG_FILES="$CONFIG_FILES conf/Makefile" ;;
   "init.d/Makefile" ) CONFIG_FILES="$CONFIG_FILES init.d/Makefile" ;;
   "l7directord/Makefile" ) CONFIG_FILES="$CONFIG_FILES l7directord/Makefile" ;;
+  "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
+  "doc/heartbeat-ra/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/heartbeat-ra/Makefile" ;;
   "man/Makefile" ) CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
   "ultramonkeyl7.spec" ) CONFIG_FILES="$CONFIG_FILES ultramonkeyl7.spec" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
index 7155016..ea49f5c 100644 (file)
@@ -90,6 +90,8 @@ AC_CONFIG_FILES([parameter/Makefile]
                 [conf/Makefile]
                 [init.d/Makefile]
                [l7directord/Makefile]
+               [doc/Makefile]
+               [doc/heartbeat-ra/Makefile]
                [man/Makefile])
 AC_OUTPUT(ultramonkeyl7.spec)
 
diff --git a/doc/Makefile.am b/doc/Makefile.am
new file mode 100644 (file)
index 0000000..095efef
--- /dev/null
@@ -0,0 +1,4 @@
+SUBDIRS = \
+       heartbeat-ra
+
+docdir = ${datadir}/doc/${PACKAGE}-${VERSION}
diff --git a/doc/Makefile.in b/doc/Makefile.in
new file mode 100644 (file)
index 0000000..e8cc049
--- /dev/null
@@ -0,0 +1,481 @@
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ..
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = @INSTALL@
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = doc
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/configure.in
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+       $(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+SOURCES =
+DIST_SOURCES =
+RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
+       html-recursive info-recursive install-data-recursive \
+       install-exec-recursive install-info-recursive \
+       install-recursive installcheck-recursive installdirs-recursive \
+       pdf-recursive ps-recursive uninstall-info-recursive \
+       uninstall-recursive
+ETAGS = etags
+CTAGS = ctags
+DIST_SUBDIRS = $(SUBDIRS)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMDEP_FALSE = @AMDEP_FALSE@
+AMDEP_TRUE = @AMDEP_TRUE@
+AMTAR = @AMTAR@
+AR = @AR@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+ECHO = @ECHO@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+F77 = @F77@
+FFLAGS = @FFLAGS@
+GLIB_CFLAGS = @GLIB_CFLAGS@
+GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
+GLIB_LIBS = @GLIB_LIBS@
+GLIB_MKENUMS = @GLIB_MKENUMS@
+GOBJECT_QUERY = @GOBJECT_QUERY@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LIBTOOL = @LIBTOOL@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAKEINFO = @MAKEINFO@
+MANDIR = @MANDIR@
+OBJEXT = @OBJEXT@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+RANLIB = @RANLIB@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+VERSION = @VERSION@
+ac_ct_AR = @ac_ct_AR@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_F77 = @ac_ct_F77@
+ac_ct_RANLIB = @ac_ct_RANLIB@
+ac_ct_STRIP = @ac_ct_STRIP@
+am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
+am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
+am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
+am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+datadir = @datadir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+l7vs_maxvs = @l7vs_maxvs@
+l7vs_moddir = @l7vs_moddir@
+l7vsadm_sockdir = @l7vsadm_sockdir@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+snmpagent_libs = @snmpagent_libs@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+SUBDIRS = \
+       heartbeat-ra
+
+docdir = ${datadir}/doc/${PACKAGE}-${VERSION}
+all: all-recursive
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+       @for dep in $?; do \
+         case '$(am__configure_deps)' in \
+           *$$dep*) \
+             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+               && exit 0; \
+             exit 1;; \
+         esac; \
+       done; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/Makefile'; \
+       cd $(top_srcdir) && \
+         $(AUTOMAKE) --foreign  doc/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+       @case '$?' in \
+         *config.status*) \
+           cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+         *) \
+           echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+           cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+       esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+mostlyclean-libtool:
+       -rm -f *.lo
+
+clean-libtool:
+       -rm -rf .libs _libs
+
+distclean-libtool:
+       -rm -f libtool
+uninstall-info-am:
+
+# This directory's subdirectories are mostly independent; you can cd
+# into them and run `make' without going through this Makefile.
+# To change the values of `make' variables: instead of editing Makefiles,
+# (1) if the variable is set in `config.status', edit `config.status'
+#     (which will cause the Makefiles to be regenerated when you run `make');
+# (2) otherwise, pass the desired values on the `make' command line.
+$(RECURSIVE_TARGETS):
+       @failcom='exit 1'; \
+       for f in x $$MAKEFLAGS; do \
+         case $$f in \
+           *=* | --[!k]*);; \
+           *k*) failcom='fail=yes';; \
+         esac; \
+       done; \
+       dot_seen=no; \
+       target=`echo $@ | sed s/-recursive//`; \
+       list='$(SUBDIRS)'; for subdir in $$list; do \
+         echo "Making $$target in $$subdir"; \
+         if test "$$subdir" = "."; then \
+           dot_seen=yes; \
+           local_target="$$target-am"; \
+         else \
+           local_target="$$target"; \
+         fi; \
+         (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+         || eval $$failcom; \
+       done; \
+       if test "$$dot_seen" = "no"; then \
+         $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
+       fi; test -z "$$fail"
+
+mostlyclean-recursive clean-recursive distclean-recursive \
+maintainer-clean-recursive:
+       @failcom='exit 1'; \
+       for f in x $$MAKEFLAGS; do \
+         case $$f in \
+           *=* | --[!k]*);; \
+           *k*) failcom='fail=yes';; \
+         esac; \
+       done; \
+       dot_seen=no; \
+       case "$@" in \
+         distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
+         *) list='$(SUBDIRS)' ;; \
+       esac; \
+       rev=''; for subdir in $$list; do \
+         if test "$$subdir" = "."; then :; else \
+           rev="$$subdir $$rev"; \
+         fi; \
+       done; \
+       rev="$$rev ."; \
+       target=`echo $@ | sed s/-recursive//`; \
+       for subdir in $$rev; do \
+         echo "Making $$target in $$subdir"; \
+         if test "$$subdir" = "."; then \
+           local_target="$$target-am"; \
+         else \
+           local_target="$$target"; \
+         fi; \
+         (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+         || eval $$failcom; \
+       done && test -z "$$fail"
+tags-recursive:
+       list='$(SUBDIRS)'; for subdir in $$list; do \
+         test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
+       done
+ctags-recursive:
+       list='$(SUBDIRS)'; for subdir in $$list; do \
+         test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
+       done
+
+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
+       list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
+       unique=`for i in $$list; do \
+           if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+         done | \
+         $(AWK) '    { files[$$0] = 1; } \
+              END { for (i in files) print i; }'`; \
+       mkid -fID $$unique
+tags: TAGS
+
+TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+               $(TAGS_FILES) $(LISP)
+       tags=; \
+       here=`pwd`; \
+       if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
+         include_option=--etags-include; \
+         empty_fix=.; \
+       else \
+         include_option=--include; \
+         empty_fix=; \
+       fi; \
+       list='$(SUBDIRS)'; for subdir in $$list; do \
+         if test "$$subdir" = .; then :; else \
+           test ! -f $$subdir/TAGS || \
+             tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
+         fi; \
+       done; \
+       list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+       unique=`for i in $$list; do \
+           if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+         done | \
+         $(AWK) '    { files[$$0] = 1; } \
+              END { for (i in files) print i; }'`; \
+       if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
+         test -n "$$unique" || unique=$$empty_fix; \
+         $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
+           $$tags $$unique; \
+       fi
+ctags: CTAGS
+CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
+               $(TAGS_FILES) $(LISP)
+       tags=; \
+       here=`pwd`; \
+       list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
+       unique=`for i in $$list; do \
+           if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
+         done | \
+         $(AWK) '    { files[$$0] = 1; } \
+              END { for (i in files) print i; }'`; \
+       test -z "$(CTAGS_ARGS)$$tags$$unique" \
+         || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
+            $$tags $$unique
+
+GTAGS:
+       here=`$(am__cd) $(top_builddir) && pwd` \
+         && cd $(top_srcdir) \
+         && gtags -i $(GTAGS_ARGS) $$here
+
+distclean-tags:
+       -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
+
+distdir: $(DISTFILES)
+       @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+       topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+       list='$(DISTFILES)'; for file in $$list; do \
+         case $$file in \
+           $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+           $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+         esac; \
+         if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+         dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+         if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+           dir="/$$dir"; \
+           $(mkdir_p) "$(distdir)$$dir"; \
+         else \
+           dir=''; \
+         fi; \
+         if test -d $$d/$$file; then \
+           if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+             cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+           fi; \
+           cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+         else \
+           test -f $(distdir)/$$file \
+           || cp -p $$d/$$file $(distdir)/$$file \
+           || exit 1; \
+         fi; \
+       done
+       list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
+         if test "$$subdir" = .; then :; else \
+           test -d "$(distdir)/$$subdir" \
+           || $(mkdir_p) "$(distdir)/$$subdir" \
+           || exit 1; \
+           distdir=`$(am__cd) $(distdir) && pwd`; \
+           top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
+           (cd $$subdir && \
+             $(MAKE) $(AM_MAKEFLAGS) \
+               top_distdir="$$top_distdir" \
+               distdir="$$distdir/$$subdir" \
+               distdir) \
+             || exit 1; \
+         fi; \
+       done
+check-am: all-am
+check: check-recursive
+all-am: Makefile
+installdirs: installdirs-recursive
+installdirs-am:
+install: install-recursive
+install-exec: install-exec-recursive
+install-data: install-data-recursive
+uninstall: uninstall-recursive
+
+install-am: all-am
+       @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-recursive
+install-strip:
+       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+         `test -z '$(STRIP)' || \
+           echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+       -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+       @echo "This command is intended for maintainers to use"
+       @echo "it deletes files that may require special tools to rebuild."
+clean: clean-recursive
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-recursive
+       -rm -f Makefile
+distclean-am: clean-am distclean-generic distclean-libtool \
+       distclean-tags
+
+dvi: dvi-recursive
+
+dvi-am:
+
+html: html-recursive
+
+info: info-recursive
+
+info-am:
+
+install-data-am:
+
+install-exec-am:
+
+install-info: install-info-recursive
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-recursive
+       -rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-recursive
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-recursive
+
+pdf-am:
+
+ps: ps-recursive
+
+ps-am:
+
+uninstall-am: uninstall-info-am
+
+uninstall-info: uninstall-info-recursive
+
+.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
+       clean clean-generic clean-libtool clean-recursive ctags \
+       ctags-recursive distclean distclean-generic distclean-libtool \
+       distclean-recursive distclean-tags distdir dvi dvi-am html \
+       html-am info info-am install install-am install-data \
+       install-data-am install-exec install-exec-am install-info \
+       install-info-am install-man install-strip installcheck \
+       installcheck-am installdirs installdirs-am maintainer-clean \
+       maintainer-clean-generic maintainer-clean-recursive \
+       mostlyclean mostlyclean-generic mostlyclean-libtool \
+       mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
+       uninstall uninstall-am uninstall-info-am
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/doc/heartbeat-ra/L7directord b/doc/heartbeat-ra/L7directord
new file mode 100644 (file)
index 0000000..49c0eac
--- /dev/null
@@ -0,0 +1,245 @@
+#!/bin/sh
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like.  Any license provided herein, whether implied or
+# otherwise, applies only to this software file.  Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#
+
+#######################################################################
+# Initialization:
+
+. ${OCF_ROOT}/resource.d/heartbeat/.ocf-shellfuncs
+#. /usr/lib/ocf/resource.d/heartbeat/.ocf-shellfuncs
+
+#######################################################################
+
+meta_data() {
+       cat <<END
+<?xml version="1.0"?>
+<!DOCTYPE resource-agent SYSTEM "ra-api-1.dtd">
+<resource-agent name="L7directord" version="1.0">
+<version>1.0</version>
+
+<longdesc lang="en">
+This is a L7directord Resource Agent.
+</longdesc>
+<shortdesc lang="en">L7directord resource agent</shortdesc>
+
+<parameters>
+<parameter name="state" unique="1">
+<longdesc lang="en">
+Location to store the resource state in.
+</longdesc>
+<shortdesc lang="en">State file</shortdesc>
+<content type="string" default="" />
+</parameter>
+
+</parameters>
+
+<actions>
+<action name="start"        timeout="60" />
+<action name="stop"         timeout="60" />
+<action name="monitor"      timeout="60" interval="10" depth="0" start-delay="0" />
+<action name="meta-data"    timeout="5" />
+</actions>
+</resource-agent>
+END
+}
+
+#######################################################################
+
+l7directord_usage() {
+       cat <<END
+usage: $0 {start|stop|monitor|meta-data}
+END
+}
+
+###############################
+# Logging Method
+###############################
+outputLog(){
+       MODE=$1
+       shift
+       case $MODE in
+               info)   RET=$1; shift;
+                       ocf_log $MODE "[$0 ${__OCF_ACTION}] OK;return=$RET" "$@";;
+               err)    RET=$1; shift;
+                       ocf_log $MODE "[$0 ${__OCF_ACTION}] NG;return=$RET" "$@";;
+       esac
+}
+
+###############################
+# kill process
+###############################
+l7directord_pkill(){
+       pkill -9 l7directord
+       MSG="kill l7directord process!"
+       outputLog info $MSG
+       while true
+       do
+               sleep 1
+               isRunning
+               RET=$?
+               if [ $RET -eq 0 ]; then
+                       # stop OK
+                       MSG="l7directord process stopped!"      
+                       outputLog info $MSG
+                       return ${OCF_SUCCESS}
+               fi
+       done 
+}
+
+###############################
+# Resource Running Check Method
+###############################
+isRunning(){
+       RET=0
+        RET=`ps -ef | grep "/usr/sbin/l7directord start" | grep -v grep | wc -l`
+       return $RET
+}
+
+# 2008-11-05-start: l7vsd_flush
+###############################
+# Flush Virtual Service Method
+###############################
+l7vsd_flush(){
+        PS=`ps -ef | grep /usr/sbin/l7vsd | grep -v grep | wc -l`
+        if [ $PS -eq 1 ]; then
+                  ocf_log info "[l7vsadm]: flush virtual service!"
+                  l7vsadm -C
+        fi
+}
+# 2008-11-05-end: l7vsd_flush
+
+###############################
+# Get Resource Status Method
+###############################
+l7directord_status(){
+       /etc/init.d/l7directord status > /dev/null 2>&1
+       RET=$?
+       if [ $RET -eq 0 ]; then
+               return ${OCF_SUCCESS}
+       else
+               MSG="l7directord status ERROR!: $RET"
+               outputLog err ${OCF_ERR_GENERIC} ${MSG}
+               return ${OCF_ERR_GENERIC}
+       fi
+}
+
+###############################
+# Get Resource Monitor Method
+###############################
+l7directord_monitor() {
+       isRunning;
+       RET=$?
+       if [ $RET -eq 1 ]; then
+               # l7directord is running
+               l7directord_status
+               if [ $? -eq ${OCF_SUCCESS} ]; then
+                       # status OK
+                       return ${OCF_SUCCESS}
+               else
+                       break
+               fi
+       elif [ $RET -eq 0 ]; then
+               MSG="l7direcotrd is not running."
+               outputLog err ${OCF_NOT_RUNNING} ${MSG}
+               return ${OCF_NOT_RUNNING}
+       fi
+       MSG="l7direcotrd does not work. (ps=$RET) "
+       outputLog err ${OCF_ERR_GENERIC} ${MSG}
+       return ${OCF_ERR_GENERIC}
+}
+
+###############################
+# Resource start Method
+###############################
+l7directord_start() {
+       outputLog info "l7directord is starting ..."
+       l7directord_monitor
+       RET=$?
+       if [ $RET -eq ${OCF_SUCCESS} ]; then
+               MSG="l7directord is already running."
+               outputLog info ${OCF_SUCCESS} $MSG
+               return $OCF_SUCCESS
+       fi
+       while true
+       do
+               isRunning;
+               RET=$?
+               if [ $RET -eq 1 ]; then
+                       # l7directord is running
+                       outputLog info "l7directord starts."
+                       return ${OCF_SUCCESS}   
+               elif [ $RET -eq 0 ]; then
+                       /etc/init.d/l7directord start > /dev/null 2>&1
+                       RET=$?
+                       if [ $RET -ne 0 ]; then
+                               MSG="l7directord start fatal error!: $RET"
+                               outputLog err ${OCF_ERR_GENERIC} $MSG
+                       fi
+               fi
+               sleep 1
+       done
+}
+
+###############################
+# Resource stop Method
+###############################
+l7directord_stop() {
+       outputLog info "l7directord is stopping ..."
+       isRunning;
+       RET=$?
+       if [ $RET -eq 0 ]; then
+               outputLog info "l7directord stopped."
+                l7vsd_flush
+               return ${OCF_SUCCESS}
+       elif [ $RET -eq 1 ]; then
+               /etc/init.d/l7directord stop > /dev/null 2>&1
+               RET=$?
+               if [ $RET -ne 0 ]; then
+                       MSG="l7directord stop fatal error!: $RET"
+                       outputLog err ${OCF_ERR_GENERIC} $MSG
+                       l7directord_pkill
+                       RET=$?
+               fi
+       else
+               l7directord_pkill
+               RET=$?
+       fi
+        l7vsd_flush
+        return $RET
+}
+
+case $__OCF_ACTION in
+meta-data)     meta_data
+               exit $OCF_SUCCESS ;;
+start)         l7directord_start ;;
+stop)          l7directord_stop ;;
+monitor)       l7directord_monitor ;;
+usage|help)    l7directord_usage
+               exit $OCF_SUCCESS
+               ;;
+*)             l7directord_usage
+               exit $OCF_ERR_UNIMPLEMENTED
+               ;;
+esac
+rc=$?
+ocf_log debug "${OCF_RESOURCE_INSTANCE} $__OCF_ACTION : $rc"
+#ocf_log info "${OCF_RESOURCE_INSTANCE} $__OCF_ACTION : $rc"
+exit $rc
diff --git a/doc/heartbeat-ra/L7vsd b/doc/heartbeat-ra/L7vsd
new file mode 100644 (file)
index 0000000..efe75f9
--- /dev/null
@@ -0,0 +1,183 @@
+#!/bin/sh
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like.  Any license provided herein, whether implied or
+# otherwise, applies only to this software file.  Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#
+
+#######################################################################
+# Initialization:
+
+. ${OCF_ROOT}/resource.d/heartbeat/.ocf-shellfuncs
+#. /usr/lib/ocf/resource.d/heartbeat/.ocf-shellfuncs
+
+#######################################################################
+
+meta_data() {
+       cat <<END
+<?xml version="1.0"?>
+<!DOCTYPE resource-agent SYSTEM "ra-api-1.dtd">
+<resource-agent name="L7vsd" version="1.0">
+<version>1.0</version>
+
+<longdesc lang="en">
+This is a L7vsd Resource Agent.
+</longdesc>
+<shortdesc lang="en">L7vsd resource agent</shortdesc>
+
+<parameters>
+<parameter name="state" unique="1">
+<longdesc lang="en">
+Location to store the resource state in.
+</longdesc>
+<shortdesc lang="en">State file</shortdesc>
+<content type="string" default="" />
+</parameter>
+
+</parameters>
+
+<actions>
+<action name="start"        timeout="60" />
+<action name="stop"         timeout="60" />
+<action name="monitor"      timeout="60" interval="10" depth="0" start-delay="0" />
+<action name="meta-data"    timeout="5" />
+</actions>
+</resource-agent>
+END
+}
+
+#######################################################################
+
+l7vsd_usage() {
+       cat <<END
+usage: $0 {start|stop|monitor|meta-data}
+
+Expects to have a fully populated OCF RA-compliant environment set.
+END
+}
+
+###############################
+# Resource start Method (dummy)
+###############################
+l7vsd_start() {
+       l7vsd_monitor
+       RET=$?
+       if [[ $RET -eq $OCF_SUCCESS || $RET -eq $OCF_NOT_RUNNING ]];then
+               touch ${OCF_RESKEY_state}
+               return $OCF_SUCCESS
+       else 
+               return $OCF_ERR_GENERIC
+       fi
+}
+
+###############################
+# Resource stop Method 
+###############################
+l7vsd_stop() {
+    rm ${OCF_RESKEY_state}
+    return $OCF_SUCCESS
+}
+
+###############################
+# Logging Method
+###############################
+outputLog(){
+       MODE=$1
+       shift
+       case $MODE in
+               info)   RET=$1; shift;
+                       ocf_log $MODE "[$0 ${__OCF_ACTION}] OK;return=$RET" "$@";;
+               err)    RET=$1; shift;
+                       ocf_log $MODE "[$0 ${__OCF_ACTION}] NG;return=$RET" "$@";;
+       esac
+}
+
+###############################
+# Resource Running Check Method
+###############################
+isRunning(){
+       RET=0
+       RET=`ps -ef | grep l7vsd | grep -v grep | grep -v less | grep -v vi | wc -l`
+       return $RET
+}
+
+###############################
+# Get Resource Status Method
+###############################
+l7vsd_status(){
+       /etc/init.d/l7vsd status > /dev/null 2>&1
+       #/usr/sbin/l7vsadm -l > /dev/null 2>&1
+       RET=$?
+       if [ $RET -eq 0 ]; then
+               return $OCF_SUCCESS
+       else
+               MSG="l7vsd status ERROR!: $RET"
+               outputLog err ${OCF_ERR_GENERIC} ${MSG}
+               return $OCF_ERR_GENERIC
+       fi
+}
+
+###############################
+# Get Resource Monitor Method
+###############################
+l7vsd_monitor() {
+       if [ -f ${OCF_RESKEY_state} ]; then
+               break
+       else
+               return $OCF_NOT_RUNNING
+       fi
+       isRunning;
+       RET=$?
+       if [ $RET -eq 1 ]; then
+               # l7vsd is running
+               l7vsd_status
+               if [ $? -eq $OCF_SUCCESS ]; then
+                       # status OK
+                       return $OCF_SUCCESS
+               else
+                       break
+               fi
+       elif [ $RET -eq 0 ]; then
+               MSG="l7vsd is not running."
+               outputLog err ${OCF_NOT_RUNNING} ${MSG}
+               return $OCF_NOT_RUNNING
+       fi
+       MSG="l7vsd does not work. (ps=$RET) "
+       outputLog err ${OCF_ERR_GENERIC} ${MSG}
+       return $OCF_ERR_GENERIC
+}
+
+: ${OCF_RESKEY_state=${HA_RSCTMP}/L7vsd-${OCF_RESOURCE_INSTANCE}.state}
+
+case $__OCF_ACTION in
+meta-data)     meta_data
+               exit $OCF_SUCCESS ;;
+start)         l7vsd_start;;
+stop)          l7vsd_stop;;
+monitor)       l7vsd_monitor;;
+usage|help)    l7vsd_usage
+               exit $OCF_SUCCESS
+               ;;
+*)             l7vsd_usage
+               exit $OCF_ERR_UNIMPLEMENTED
+    
+               ;;
+esac
+rc=$?
+ocf_log debug "${OCF_RESOURCE_INSTANCE} $__OCF_ACTION : $rc"
+exit $rc
diff --git a/doc/heartbeat-ra/Makefile.am b/doc/heartbeat-ra/Makefile.am
new file mode 100644 (file)
index 0000000..ef1b9b7
--- /dev/null
@@ -0,0 +1,9 @@
+dist_doc_DATA = \
+       L7directord \
+       L7vsd \
+       SSLProxy \
+       VIPcheck \
+       cib.xml-sample \
+       README
+
+docdir = ${datadir}/doc/${PACKAGE}-${VERSION}/heartbeat-ra
diff --git a/doc/heartbeat-ra/Makefile.in b/doc/heartbeat-ra/Makefile.in
new file mode 100644 (file)
index 0000000..a0089d1
--- /dev/null
@@ -0,0 +1,361 @@
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ../..
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = @INSTALL@
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = doc/heartbeat-ra
+DIST_COMMON = README $(dist_doc_DATA) $(srcdir)/Makefile.am \
+       $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/configure.in
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+       $(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+SOURCES =
+DIST_SOURCES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
+am__installdirs = "$(DESTDIR)$(docdir)"
+dist_docDATA_INSTALL = $(INSTALL_DATA)
+DATA = $(dist_doc_DATA)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMDEP_FALSE = @AMDEP_FALSE@
+AMDEP_TRUE = @AMDEP_TRUE@
+AMTAR = @AMTAR@
+AR = @AR@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+ECHO = @ECHO@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+F77 = @F77@
+FFLAGS = @FFLAGS@
+GLIB_CFLAGS = @GLIB_CFLAGS@
+GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
+GLIB_LIBS = @GLIB_LIBS@
+GLIB_MKENUMS = @GLIB_MKENUMS@
+GOBJECT_QUERY = @GOBJECT_QUERY@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LIBTOOL = @LIBTOOL@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAKEINFO = @MAKEINFO@
+MANDIR = @MANDIR@
+OBJEXT = @OBJEXT@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+RANLIB = @RANLIB@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+VERSION = @VERSION@
+ac_ct_AR = @ac_ct_AR@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_F77 = @ac_ct_F77@
+ac_ct_RANLIB = @ac_ct_RANLIB@
+ac_ct_STRIP = @ac_ct_STRIP@
+am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
+am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
+am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
+am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+datadir = @datadir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+l7vs_maxvs = @l7vs_maxvs@
+l7vs_moddir = @l7vs_moddir@
+l7vsadm_sockdir = @l7vsadm_sockdir@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+snmpagent_libs = @snmpagent_libs@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+dist_doc_DATA = \
+       L7directord \
+       L7vsd \
+       SSLProxy \
+       VIPcheck \
+       cib.xml-sample \
+       README
+
+docdir = ${datadir}/doc/${PACKAGE}-${VERSION}/heartbeat-ra
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+       @for dep in $?; do \
+         case '$(am__configure_deps)' in \
+           *$$dep*) \
+             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+               && exit 0; \
+             exit 1;; \
+         esac; \
+       done; \
+       echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  doc/heartbeat-ra/Makefile'; \
+       cd $(top_srcdir) && \
+         $(AUTOMAKE) --foreign  doc/heartbeat-ra/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+       @case '$?' in \
+         *config.status*) \
+           cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+         *) \
+           echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+           cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+       esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+mostlyclean-libtool:
+       -rm -f *.lo
+
+clean-libtool:
+       -rm -rf .libs _libs
+
+distclean-libtool:
+       -rm -f libtool
+uninstall-info-am:
+install-dist_docDATA: $(dist_doc_DATA)
+       @$(NORMAL_INSTALL)
+       test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
+       @list='$(dist_doc_DATA)'; for p in $$list; do \
+         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+         f=$(am__strip_dir) \
+         echo " $(dist_docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
+         $(dist_docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
+       done
+
+uninstall-dist_docDATA:
+       @$(NORMAL_UNINSTALL)
+       @list='$(dist_doc_DATA)'; for p in $$list; do \
+         f=$(am__strip_dir) \
+         echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
+         rm -f "$(DESTDIR)$(docdir)/$$f"; \
+       done
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+       @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+       topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+       list='$(DISTFILES)'; for file in $$list; do \
+         case $$file in \
+           $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+           $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+         esac; \
+         if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+         dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+         if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+           dir="/$$dir"; \
+           $(mkdir_p) "$(distdir)$$dir"; \
+         else \
+           dir=''; \
+         fi; \
+         if test -d $$d/$$file; then \
+           if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+             cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+           fi; \
+           cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+         else \
+           test -f $(distdir)/$$file \
+           || cp -p $$d/$$file $(distdir)/$$file \
+           || exit 1; \
+         fi; \
+       done
+check-am: all-am
+check: check-am
+all-am: Makefile $(DATA)
+installdirs:
+       for dir in "$(DESTDIR)$(docdir)"; do \
+         test -z "$$dir" || $(mkdir_p) "$$dir"; \
+       done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+       @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+         `test -z '$(STRIP)' || \
+           echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+       -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+       @echo "This command is intended for maintainers to use"
+       @echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+       -rm -f Makefile
+distclean-am: clean-am distclean-generic distclean-libtool
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am: install-dist_docDATA
+
+install-exec-am:
+
+install-info: install-info-am
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+       -rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-dist_docDATA uninstall-info-am
+
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+       distclean distclean-generic distclean-libtool distdir dvi \
+       dvi-am html html-am info info-am install install-am \
+       install-data install-data-am install-dist_docDATA install-exec \
+       install-exec-am install-info install-info-am install-man \
+       install-strip installcheck installcheck-am installdirs \
+       maintainer-clean maintainer-clean-generic mostlyclean \
+       mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+       uninstall uninstall-am uninstall-dist_docDATA \
+       uninstall-info-am
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff --git a/doc/heartbeat-ra/README b/doc/heartbeat-ra/README
new file mode 100644 (file)
index 0000000..2bb647d
--- /dev/null
@@ -0,0 +1,12 @@
+Heartbeat Resource Agent and cib-xml examples.
+
+== Files ==
+L7directord:   Resource Agent for l7directord.
+L7vsd:         Resource Agent for l7vsd.
+SSLProxy:      Resource Agent for sslproxy.
+VIPcheck:      Resource Agent for VIP.
+cib.xml-sample:        Heartbeat cib.xml Example.
+
+== Set up ==
+See Heartbeat2 install manual for UltraMonkey-L7. (Japanese)
+http://sourceforge.jp/projects/ultramonkey-l7/docs/?category_id=964
diff --git a/doc/heartbeat-ra/SSLProxy b/doc/heartbeat-ra/SSLProxy
new file mode 100644 (file)
index 0000000..59a7e93
--- /dev/null
@@ -0,0 +1,236 @@
+#!/bin/sh
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like.  Any license provided herein, whether implied or
+# otherwise, applies only to this software file.  Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#
+
+#######################################################################
+# Initialization:
+
+#. ${OCF_ROOT}/resource.d/heartbeat/.ocf-shellfuncs
+. /usr/lib/ocf/resource.d/heartbeat/.ocf-shellfuncs
+
+#######################################################################
+
+meta_data() {
+       cat <<END
+<?xml version="1.0"?>
+<!DOCTYPE resource-agent SYSTEM "ra-api-1.dtd">
+<resource-agent name="SSLProxy" version="1.0">
+<version>1.0</version>
+
+<longdesc lang="en">
+This is a SSLProxy Resource Agent.
+</longdesc>
+<shortdesc lang="en">SSLProxy resource agent</shortdesc>
+
+<parameters>
+<parameter name="state" unique="1">
+<longdesc lang="en">
+Location to store the resource state in.
+</longdesc>
+<shortdesc lang="en">State file</shortdesc>
+<content type="string" default="" />
+</parameter>
+
+</parameters>
+
+<actions>
+<action name="start"        timeout="60" />
+<action name="stop"         timeout="60" />
+<action name="monitor"      timeout="60" interval="10" depth="0" start-delay="0" />
+<action name="meta-data"    timeout="5" />
+</actions>
+</resource-agent>
+END
+}
+
+#######################################################################
+
+sslproxy_usage() {
+       cat <<END
+usage: $0 {start|stop|monitor|meta-data}
+END
+}
+
+###############################
+# Logging Method
+###############################
+outputLog(){
+       MODE=$1
+       shift
+       case $MODE in
+               err)    RET=$1; shift;
+                       ocf_log $MODE "[$0 ${__OCF_ACTION}] NG;return=$RET" "$@";;
+       esac
+}
+
+###############################
+# kill process
+###############################
+sslproxy_pkill(){
+       pkill -9 sslproxy
+       ocf_log info "kill sslproxy process!"
+       while true
+       do
+               sleep 1
+               isRunning
+               RET=$?
+               if [ $RET -eq 0 ]; then
+                       # stop OK
+                       ocf_log info "sslproxy process stopped!"
+                       return ${OCF_SUCCESS}
+               fi
+       done 
+}
+
+###############################
+# Resource Running Check Method
+###############################
+isRunning(){
+       RET=0
+       RET=`ps -ef | grep "/usr/sbin/sslproxy" | grep -v grep | wc -l`
+       return $RET
+}
+
+###############################
+# Get Resource Status Method
+###############################
+sslproxy_status(){
+       T_ID=`/usr/sbin/sslproxyadm status | grep "TargetID" | wc -l`
+       RET=`/usr/sbin/sslproxyadm status | grep "Starting. PID =" | wc -l`
+       if [ $RET -eq 0 ]; then
+               MSG="sslproxy status ERROR!."
+               outputLog err ${OCF_ERR_GENERIC} ${MSG}
+               return ${OCF_ERR_GENERIC}
+       elif [ $RET -lt $T_ID ]; then
+               MSG="sslproxy status ERROR!(Target is insufficient)."
+               outputLog err ${OCF_ERR_GENERIC} ${MSG}
+               return ${OCF_ERR_GENERIC}
+#      elif [ $RET -gt $T_ID ]; then
+#              MSG="sslproxy status ERROR!(Target_ID exceeds a set value)."
+#              outputLog err ${OCF_ERR_GENERIC} ${MSG}
+#              return ${OCF_ERR_GENERIC}
+       fi
+       return ${OCF_SUCCESS}
+}
+
+###############################
+# Get Resource Monitor Method
+###############################
+sslproxy_monitor() {
+       isRunning;
+       RET=$?
+       if [ $RET -eq 0 ]; then
+               MSG="sslproxy is not running."  
+               outputLog err ${OCF_NOT_RUNNING} ${MSG}
+               return ${OCF_NOT_RUNNING}
+       else
+               # sslproxy is running
+               sslproxy_status
+               if [ $? -eq ${OCF_SUCCESS} ]; then
+                       # status OK
+                       return ${OCF_SUCCESS}
+               else
+                       break
+               fi              
+       fi
+       MSG="sslproxy does not work."
+       outputLog err ${OCF_ERR_GENERIC} ${MSG}
+       return ${OCF_ERR_GENERIC}
+}
+
+###############################
+# Resource start Method
+###############################
+sslproxy_start() {
+       ocf_log info "sslproxy is starting ..."
+       sslproxy_monitor
+       RET=$?
+       if [ $RET -eq ${OCF_SUCCESS} ]; then
+               ocf_log info "sslproxy is already running."
+               return $OCF_SUCCESS
+       fi
+       /usr/sbin/sslproxyadm start > /dev/null 2>&1
+       RET=$?
+       if [ $RET -ne 0 ];then
+               MSG="sslproxy start error!."
+               outputLog err ${OCF_ERR_GENERIC} $MSG
+               return ${OCF_ERR_GENERIC}
+       fi
+       while true
+       do
+               isRunning;
+               RET=$?
+               if [ $RET -ne 0 ]; then
+                       # sslproxy is running
+                       ocf_log info "sslproxy starts."
+                       return ${OCF_SUCCESS}
+               fi
+               sleep 1
+       done
+}
+
+###############################
+# Resource stop Method
+###############################
+sslproxy_stop() {
+       ocf_log info "sslproxy is stopping ..."
+       isRunning;
+       RET=$?
+       if [ $RET -eq 0 ]; then
+               ocf_log info "sslproxy stopped."
+               return ${OCF_SUCCESS}
+       fi
+       /usr/sbin/sslproxyadm stop > /dev/null 2>&1
+       count=0
+       while [ $count -le 10 ]
+       do
+               isRunning;
+               RET=$?
+               if [ $RET -eq 0 ]; then
+                       ocf_log info "sslproxy stopped."
+                       return ${OCF_SUCCESS}
+               fi
+               $count=`expr $count + 1`
+               sleep 1
+       done
+       
+       sslproxy_pkill
+       RET=$?  
+       
+        return $RET
+}
+
+case $__OCF_ACTION in
+meta-data)     meta_data
+               exit $OCF_SUCCESS ;;
+start)         sslproxy_start ;;
+stop)          sslproxy_stop ;;
+monitor)       sslproxy_monitor ;;
+usage|help)    sslproxy_usage
+               exit $OCF_SUCCESS
+               ;;
+*)             sslproxy_usage
+               exit $OCF_ERR_UNIMPLEMENTED
+               ;;
+esac
+rc=$?
+ocf_log debug "${OCF_RESOURCE_INSTANCE} $__OCF_ACTION : $rc"
+exit $rc
diff --git a/doc/heartbeat-ra/VIPcheck b/doc/heartbeat-ra/VIPcheck
new file mode 100644 (file)
index 0000000..21cba30
--- /dev/null
@@ -0,0 +1,150 @@
+#!/bin/sh
+#
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of version 2 of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+#
+# Further, this software is distributed without any warranty that it is
+# free of the rightful claim of any third person regarding infringement
+# or the like.  Any license provided herein, whether implied or
+# otherwise, applies only to this software file.  Patent licenses, if
+# any, provided herein do not apply to combinations of this program with
+# other software, or any other product whatsoever.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
+#
+
+#######################################################################
+# Initialization:
+
+. ${OCF_ROOT}/resource.d/heartbeat/.ocf-shellfuncs
+#. /usr/lib/ocf/resource.d/heartbeat/.ocf-shellfuncs
+
+#######################################################################
+
+meta_data() {
+       cat <<END
+<?xml version="1.0"?>
+<!DOCTYPE resource-agent SYSTEM "ra-api-1.dtd">
+<resource-agent name="VIPcheck" version="0.1">
+<version>1.0</version>
+
+<longdesc lang="en">
+This is a VIPcheck Resource Agent.
+</longdesc>
+<shortdesc lang="en">VIPcheck resource agent</shortdesc>
+
+<parameters>
+<parameter name="target_ip" unique="1">
+<longdesc lang="en">
+ping target VIP address.
+</longdesc>
+<shortdesc lang="en">target ip</shortdesc>
+<content type="string" default="" />
+</parameter>
+
+<parameter name="count" unique="1">
+<longdesc lang="en">
+repeat times
+</longdesc>
+<shortdesc lang="en">repeat times</shortdesc>
+<content type="integer" default="1" />
+</parameter>
+
+<parameter name="wait" unique="1">
+<longdesc lang="en">
+wait times
+</longdesc>
+<shortdesc lang="en">wait times</shortdesc>
+<content type="integer" default="10" />
+</parameter>
+
+</parameters>
+
+<actions>
+<action name="start"        timeout="60" />
+<action name="stop"         timeout="60" />
+<action name="monitor"      timeout="60" interval="10" depth="0" start-delay="0" />
+<action name="meta-data"    timeout="5" />
+</actions>
+</resource-agent>
+END
+}
+
+#######################################################################
+
+VIPcheck_usage() {
+       cat <<END
+usage: $0 {start|stop|monitor|meta-data}
+
+Expects to have a fully populated OCF RA-compliant environment set.
+END
+}
+
+VIPcheck_start() {
+       VIPcheck_monitor
+       if [ $? =  $OCF_SUCCESS ]; then
+               return $OCF_SUCCESS
+       fi 
+
+       ping ${OCF_RESKEY_target_ip} -c ${OCF_RESKEY_count} -w ${OCF_RESKEY_wait} > /dev/null 2>&1
+       prc=$?
+       ocf_log debug "target_ip = $OCF_RESKEY_target_ip, count = $OCF_RESKEY_count, wait = $OCF_RESKEY_wait"
+       ocf_log debug "ping return code = $prc"
+       if [ $prc = 0 ]; then 
+               # pingが通った-->ERROR
+               return $OCF_ERR_GENERIC
+       else 
+               # pingが通らない --> 成功
+               touch ${OCF_RESKEY_state}
+               return $OCF_SUCCESS
+       fi
+}
+
+VIPcheck_stop() {
+       VIPcheck_monitor
+       if [ $? =  $OCF_SUCCESS ]; then
+               rm ${OCF_RESKEY_state}
+       fi
+       return $OCF_SUCCESS
+}
+
+VIPcheck_monitor() {
+       if [ -f ${OCF_RESKEY_state} ]; then
+               return $OCF_SUCCESS
+       fi
+       if false ; then
+               return $OCF_ERR_GENERIC
+       fi
+       return $OCF_NOT_RUNNING
+}
+
+: ${OCF_RESKEY_wait=10}
+: ${OCF_RESKEY_count=1}
+: ${OCF_RESKEY_state=${HA_RSCTMP}/VIPcheck-${OCF_RESOURCE_INSTANCE}.state}
+
+case $__OCF_ACTION in
+meta-data)     meta_data
+               exit $OCF_SUCCESS
+               ;;
+start)         VIPcheck_start;;
+stop)          VIPcheck_stop;;
+monitor)       VIPcheck_monitor;;
+usage|help)    VIPcheck_usage
+               exit $OCF_SUCCESS
+               ;;
+*)             VIPcheck_usage
+               exit $OCF_ERR_UNIMPLEMENTED
+               ;;
+esac
+rc=$?
+ocf_log debug "${OCF_RESOURCE_INSTANCE} $__OCF_ACTION : $rc"
+exit $rc
+
diff --git a/doc/heartbeat-ra/cib.xml-sample b/doc/heartbeat-ra/cib.xml-sample
new file mode 100644 (file)
index 0000000..d7147f5
--- /dev/null
@@ -0,0 +1,83 @@
+ <cib admin_epoch="0" epoch="0" num_updates="0">
+   <configuration>
+     <crm_config>
+       <cluster_property_set id="cib-bootstrap-options">
+         <attributes>
+           <nvpair id="cib-bootstrap-options-no-quorum-policy" name="no-quorum-policy" value="ignore"/>
+           <nvpair id="cib-bootstrap-options-stonith-enabled" name="stonith-enabled" value="false"/>
+           <nvpair id="cib-bootstrap-options-default-resource-stickiness" name="default-resource-stickiness" value="INFINITY"/>
+           <nvpair id="cib-bootstrap-options-default-resource-failure-stickiness" name="default-resource-failure-stickiness" value="-INFINITY"/>
+           <nvpair id="cib-bootstrap-options-default-action-timeout" name="default-action-timeout" value="120s"/>
+         </attributes>
+       </cluster_property_set>
+     </crm_config>
+     <nodes/>
+     <resources>
+       <group id="grpUltraMonkey">
+         <primitive id="prmVIPcheck" class="ocf" type="VIPcheck" provider="heartbeat">
+           <instance_attributes id="prmVIPcheck_instance_attrs">
+             <attributes>
+               <nvpair id="atr:VIPcheck:ex:VIPcheck:target_ip" name="target_ip" value="192.168.43.10"/>
+               <nvpair id="atr:VIPcheck:ex:VIPcheck:count" name="count" value="1"/>
+               <nvpair id="atr:VIPcheck:ex:VIPcheck:wait" name="wait" value="10"/>
+             </attributes>
+           </instance_attributes>
+           <operations>
+             <op id="op:VIPcheck:ex:VIPcheck:start" name="start" timeout="90s" on_fail="block" start_delay="2s"/>
+           </operations>
+         </primitive>
+         <primitive id="prmL7vsd" class="ocf" type="L7vsd" provider="heartbeat">
+           <operations>
+             <op id="op:L7vsd:ex:L7vsd:monitor" name="monitor" interval="10s" timeout="60s" on_fail="restart"/>
+           </operations>
+         </primitive>
+         <primitive id="prmVIP" class="ocf" type="IPaddr2" provider="heartbeat">
+           <instance_attributes id="prmVIP_instance_attrs">
+             <attributes>
+               <nvpair id="atr:VIP:ex:IPaddr2:ip" name="ip" value="192.168.43.10"/>
+               <nvpair id="atr:VIP:ex:IPaddr2:nic" name="nic" value="bond1"/>
+               <nvpair id="atr:VIP:ex:IPaddr2:" name="cidr_netmask" value="28"/>
+             </attributes>
+           </instance_attributes>
+           <operations>
+             <op id="op:VIP:ex:IPaddr2:start" name="start" timeout="60s" on_fail="restart"/>
+             <op id="op:VIP:ex:IPaddr2:monitor" name="monitor" interval="10s" timeout="60s" on_fail="restart"/>
+             <op id="op:VIP:ex:IPaddr2:monitor" name="stop" timeout="60s" on_fail="block"/>
+           </operations>
+         </primitive>
+         <primitive id="prmL7directord" class="ocf" type="L7directord" provider="heartbeat">
+           <operations>
+             <op id="op:L7directord:ex:L7directord:start" name="start" timeout="60s" on_fail="restart"/>
+             <op id="op:L7directord:ex:L7directord:monitor" name="monitor" interval="10s" timeout="60s" on_fail="restart"/>
+             <op id="op:L7directord:ex:L7directord:stop" name="stop" timeout="60s" on_fail="block"/>
+           </operations>
+         </primitive>
+         <primitive id="prmSSLProxy" class="ocf" type="SSLProxy" provider="heartbeat">
+           <operations>
+             <op id="op:SSLProxy:ex:SSLProxy:start" name="start" timeout="60s" on_fail="restart"/>
+             <op id="op:SSLProxy:ex:SSLProxy:monitor" name="monitor" interval="10s" timeout="60s" on_fail="restart"/>
+             <op id="op:SSLProxy:ex:SSLProxy:stop" name="stop" timeout="60s" on_fail="block"/>
+           </operations>
+         </primitive>
+       </group>
+     </resources>
+     <constraints>
+       <rsc_location id="location_node01_200" rsc="grpUltraMonkey">
+         <rule id="prefered_location_node01_200" score="200">
+           <expression attribute="#uname" id="location:grpUltraMonkey:node1" operation="eq" value="ibww0101"/>
+         </rule>
+       </rsc_location>
+       <rsc_location id="location_node00_100" rsc="grpUltraMonkey">
+         <rule id="prefered_location_node00_100" score="100">
+           <expression attribute="#uname" id="location:grpUltraMonkey:node2" operation="eq" value="ibww0201"/>
+         </rule>
+       </rsc_location>
+       <rsc_location id="rul_PN1_dsc" rsc="grpUltraMonkey">
+         <rule id="prefered_rul_PN1_dsc" score="-INFINITY" boolean_op="and">
+           <expression attribute="default_ping_set" id="PN1_dsc:expr:defined" operation="defined"/>
+           <expression attribute="default_ping_set" id="PN1_dsc:expr:lt" operation="lt" value="100"/>
+         </rule>
+       </rsc_location>
+     </constraints>
+   </configuration>
+ </cib>